<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body>
    <script>
      // function func1(a, b) {
      //  return a + b
      // };

      // func1(1, 2);

      // const func2 = () => 1

      // const div = {
      //   name: 'div',
      //   count: 2
      // };

      const createObject = (name, age) => {
        return {
          name,
          age,
        };
      };

      //  const newUser = createObject('Ira', 20);
      //  console.log(newUser)

      //   const var4 = "";

      //   function func1() {
      //     const var1 = "";
      //     console.log("Function declaration");

      //     if (true) {
      //       const var2 = "";
      //     }

      //     function func2() {
      //       const var3 = "";
      //     }

      //     return 1;
      //   }

      //   if (true) {
      //     const variable = 1;
      //   } else {
      //   }
      //   console.log(window);
      //   window.func1();

      //   const funct1Result = func1();
      //   console.log(funct1Result);
      //   const funct2 = function () {
      //     console.log("Function expression");
      //   };

      //   const funct3 = function name() {
      //     console.log("Function expression");
      //   };

      //   funct3();

      //   funct2();

      //   func1();

      // const user = {
      //   name: "Ira",
      //   sayHi() {
      //     console.log(this);
      //   },
      // };

      function User(name, surname, age) {
        this.name = name;
        this.surname = surname;
        this.age = age;
        this.sayHi = function() {
          console.log(this)
        }
      }

        const newUser = new User("Ira", "sto", 15); // {}
      //   console.log(newUser)
      // //   const newUser1 = new constructor("liza", "se", 14);
      // //   console.log(user);
      // // user.sayHi();

      const user = {
        name: "Ira",
        foo: () => {
          console.log(this);
        },
      };

      const name = "Ivan";

      // console.log(age)
      function bar() {
        // const name = 'Sasha'
        // const age = 25
        console.log(this);
        console.log('inside bar');

      
        // function bar() {


        //   const name = 'Ira';
        //   console.log(name) // 'Ira';
        //   console.log(age) // 25
        // }
      };

    //  foo();
     user.foo();
    //  newUser.sayHi();


    //  console.log1 = function() {
    //    console.log(this);
    //  };

    //  console.log1();


    // const date = new Date();
    // date.getHours


    </script>
  </body>
</html>
